Subject: Re: [v2 PATCH 5/13] crypto: testmgr - Switch to new AEAD interface

From: Tadeusz Struk <[email-masked]>
Date: Fri, 05 Jun 2015 15:10:00 -0700

On 06/04/2015 08:57 PM, Herbert Xu wrote:
> Existing AEAD implementations should be completely unaware of
> the new interface because we recreate the old req->assoc in the
> crypto API.

Yes, assuming that one is using req->assoclen not only req->assoc ;)

> 
> However, if you are creating a new AEAD implementation then yes
> you should stop using req->assoc and fetch it from req->src instead.

When do you expect the assoc will be removed?